.nav {
  background: white;
  left: 50%;
  margin-bottom: 30px;
  max-width: none;
  padding: 20px 0;
  position: fixed;
  top: 0;
  transform: translateX(-50%);
  width: 100%;
  z-index: 10;

  @include sm {
    margin-bottom: 50px;
  }
}

.nav__wrap {
  display: flex;
  left: 50%;
  max-width: 1500px;
  position: relative;
  transform: translateX(-50%);
  width: 90%;
  z-index: 10;

  @include md {
    width: 100%;
  }
}

.nav-back {
  align-self: center;
  height: 28px;
  margin-right: 10px;
  transform: scale(0.7);

  &--disabled {
    opacity: 0.5;
  }

  @include sm {
    transform: scale(1);
  }
}

.nav-steps {
  display: flex;
  flex-basis: 0;
  flex-grow: 1;
  justify-content: center;
}

.nav-steps__item {
  margin-right: 5px;
  padding-right: 10px;
  position: relative;

  @include sm {
    margin-right: 15px;
    padding-right: 20px;
  }

  @include xl {
    margin-right: 25px;
    padding-right: 30px;
  }

  &::after {
    background: $nav-steps-num-color;
    border-radius: 3px;
    content: '';
    display: block;
    height: 6px;
    position: absolute;
    right: 0;
    top: 50px;
    top: calc(50% - 4px);
    width: 6px;
  }
}

.nav-steps__item--last {
  margin-right: 0;
  padding-right: 0;

  &::after {
    display: none;
  }
}

.nav-steps__num-step {
  background: $nav-steps-num-bg;
  border-radius: 50%;
  color: $nav-steps-num-color;
  display: inline-block;
  font-weight: 600;
  height: 32px;
  line-height: 32px;
  text-align: center;
  width: 32px;

  @include sm {
    height: 42px;
    line-height: 42px;
    width: 42px;
  }
}

.nav-steps__heading {
  display: none;

  @include lg {
    color: $nav-steps-heading-color;
    display: inline;
    font-weight: 600;
    margin-left: 10px;
    text-transform: uppercase;
  }
}

.nav-steps__item.nav-steps__item--is-active {
  .nav-steps__num-step {
    background: $nav-steps-num-bg-active;
    color: $nav-steps-num-color-active;
  }

  .nav-steps__heading {
    color: $nav-steps-heading-color-active;
  }
}

// .nav-cart uses specific breakpoints because of positioned absolutely
.nav-cart {
  bottom: 20px;
  box-shadow: $box-shadow;
  cursor: pointer;
  height: 80px;
  position: fixed;
  right: 20px;
  width: 80px;
  z-index: 10;

  @media (min-width: 1140px) {
    background: #000;
    display: flex;
    height: 70px;
    right: 0;
    top: 0;
    width: 220px;
  }
}

.nav-cart__image {
  height: 100%;

  img {
    height: 100%;
    width: auto;
  }
}

.nav-cart__short-text {
  background: #fff;
  border-radius: 15px;
  box-shadow: $box-shadow;
  height: 30px;
  left: -13px;
  line-height: 32px;
  position: absolute;
  text-align: center;
  top: -13px;
  width: 30px;

  @media (min-width: 1140px) {
    display: none;
  }
}

.nav-cart__long-text {
  display: none;

  @media (min-width: 1140px) {
    align-self: center;
    color: #fff;
    display: block;
    flex-basis: 0;
    flex-grow: 1;
    text-align: center;
  }
}

.nav__home {
  text-align: left;
  margin-bottom: 15px;
  margin-left: 25px;

  @include md {
    text-align: center;
    margin-left: 0;
  }

  a {
    background: $button-background;
    border: 2px solid $button-border-color;
    color: $button-color;
    cursor: pointer;
    font-size: 16px;
    font-weight: 600;
    height: 50px;
    line-height: 46px;
    margin: 0 auto;
    margin-bottom: 10px;
    padding: 8px 40px;
    text-align: center;
    text-transform: uppercase;
    transition: background 0.3s, color 0.3s;

    &:hover {
      background: $button-background-hover;
      color: $button-color-hover;
    }
  }
}
